> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Details

> Get details about a user verified in your server

<div className="relative w-full p-6 bg-[#09090B] flex flex-col items-center justify-center gap-2 border border-zinc-500/20 dark:border-zinc-500/30 rounded-xl">
  <a className="pricing-badge animate-shimmer w-fit px-3 py-1 *:my-auto inline-flex bg-primary rounded-lg text-white font-semibold border-none hover:opacity-95 transition-colors" href="https://flipsuite.xyz/pricing" target={"_blank"}><Icon icon={"cube"} color={"white"} /><p className={"ml-2"}>Growth only</p></a>

  <div className="bg-grid rounded-xl" />
</div>

<Note>
  Note that only accounts and wallets required for verification based on your server's gating rules will be
  included in the response. For example, if no rule in your server requires a Solana wallet, it won't be
  included in the response even if user has a Solana wallet linked.
</Note>

<Warning>
  All users can opt-out from sharing their linked accounts and wallets in your server via [privacy settings](/flippy/commands/profile#5-privacy-settings).
  If sharing is disabled, the `isRedacted` field will be set to `true` in the linked accounts and wallets returned in
  the response, and their details will be blank.
</Warning>


## OpenAPI

````yaml GET /v1/community/gating/users/{userId}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/gating/users/{userId}:
    get:
      description: Get details about a user verified in your server
      parameters:
        - in: header
          name: x-api-key
          description: Your community API key
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: userId
          description: Discord ID of the user to query
          required: true
          schema:
            type: string
            pattern: ^d+$
      responses:
        '200':
          description: User details have been retrieved
          content:
            application/json:
              schema:
                example:
                  discordUserId: '328218133074804739'
                  discordUsername: boaven
                  discordAvatarUrl: >-
                    https://cdn.discordapp.com/avatars/328218133074804739/e8cb8310f09acf1c6db318a8ee6603cc.webp?size=256
                  linkedAccounts:
                    - platform: twitter
                      username: boavenn
                  linkedWallets:
                    - chain: Linea
                      chainId: '59144'
                      address: '0x5c8eda15c9470562fa09b80de50c9295fa805d32'
                type: object
                properties:
                  discordUserId:
                    description: Discord ID of the user.
                    type: string
                  discordUsername:
                    description: Discord username of the user.
                    type: string
                  discordAvatarUrl:
                    description: Discord avatar URL of the user.
                    anyOf:
                      - type: string
                      - type: 'null'
                  linkedAccounts:
                    description: Accounts linked to the user's Flipsuite account.
                    type: array
                    items:
                      type: object
                      properties:
                        platform:
                          type: string
                          const: twitter
                        username:
                          description: >-
                            Username. It can be blank if the user has disabled
                            linked accounts sharing in their privacy settings.
                          type: string
                        isRedacted:
                          description: >-
                            Set to true if the user has disabled linked accounts
                            sharing in their privacy settings
                          anyOf:
                            - type: boolean
                            - type: 'null'
                      required:
                        - platform
                        - username
                      additionalProperties: false
                  linkedWallets:
                    description: Wallets linked to the user's Flipsuite account.
                    type: array
                    items:
                      type: object
                      properties:
                        chain:
                          $ref: '#/components/schemas/__schema13'
                        chainId:
                          description: Chain or network ID.
                          type: string
                        address:
                          description: >-
                            Wallet address. It can be blank if the user has
                            disabled linked wallet sharing in their privacy
                            settings.
                          type: string
                        isRedacted:
                          description: >-
                            Set to true if the user has disabled linked wallet
                            sharing in their privacy settings.
                          anyOf:
                            - type: boolean
                            - type: 'null'
                      required:
                        - chain
                        - chainId
                        - address
                      additionalProperties: false
                required:
                  - discordUserId
                  - discordUsername
                  - linkedAccounts
                  - linkedWallets
                additionalProperties: false
        '404':
          description: User has not verified in your server yet
components:
  schemas:
    __schema13:
      description: Unique chain identifier in Flipsuite
      type: string
      enum:
        - Abstract
        - ApeChain
        - Arbitrum
        - Atto
        - Avalanche
        - Base
        - Berachain
        - Blast
        - BSC
        - CosmosHub
        - Cronos
        - Ethereum
        - Harmony
        - HyperCore
        - HyperEvm
        - Initia
        - Injective
        - Intergaze
        - Linea
        - Mitosis
        - Nano
        - Nibiru
        - Optimism
        - Osmosis
        - Pepecoin
        - Plasma
        - Polygon
        - Robinhood
        - SEDA
        - Sei
        - SeiEvm
        - Solana
        - Somnia
        - Sonic
        - Stargaze
        - Terra
        - Unichain
        - Yominet
        - Zaar
        - zkCronos

````